#!/bin/bash -e

OS="$1"
FILES_DIR="container_setup"
DOCKER_FILE_DIR="$OS"
IMAGE_NAME="$OS"
IMAGE_TAG="latest"
IMAGE_ARCHIVE_FILE="$OS.tar"
DESC_FILE="$OS.desc"
CONFIG_YAML="$OS.sbom_config.yaml"
CONFIG_YAML_TMPL="$CONFIG_YAML.tmpl"

source scripts/util.sh

get_carch

(
	cd "$FILES_DIR"/"$DOCKER_FILE_DIR"
	podman rmi "$IMAGE_NAME" 2>/dev/null || true
	podman build -t "localhost/$IMAGE_NAME":"$IMAGE_TAG" \
		--build-arg ARCH="$CARCH" .

	cd ..
	rm -f "$IMAGE_ARCHIVE_FILE"
	podman save -o "$IMAGE_ARCHIVE_FILE" "localhost/$IMAGE_NAME":"$IMAGE_TAG"

	mkswu --update-version "$DESC_FILE"
	version=$(awk -F= '$1 == "swdesc_option version" { print $2 }' "$DESC_FILE")
	sed -e "s/{{VERSION}}/$version/g" "$CONFIG_YAML_TMPL" > "$CONFIG_YAML"
	mkswu "$DESC_FILE"
)
